Package com.ocient.jdbc.proto

## Class ClientWireProtocol.Request.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>
      - - com.ocient.jdbc.proto.ClientWireProtocol.Request.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.RequestOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.Request

    public static final class ClientWireProtocol.Request.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>
    implements ClientWireProtocol.RequestOrBuilder

     The request has a type and then the relevant optional field is
     filled.

Protobuf type `xg.cmdcomp.Request`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClientWireProtocol.Request.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.Request` `build()`
`ClientWireProtocol.Request` `buildPartial()`
`ClientWireProtocol.Request.Builder` `clear()`
`ClientWireProtocol.Request.Builder` `clearCancelQuery()` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.Request.Builder` `clearClientConnection()` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.Request.Builder` `clearClientConnection2()` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.Request.Builder` `clearCloseConnection()` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.Request.Builder` `clearCloseResultSet()` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request.Builder` `clearExecuteExplain()` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.Request.Builder` `clearExecuteExplainForSpark()` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.Request.Builder` `clearExecuteExport()` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.Request.Builder` `clearExecuteInlinePlan()` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.Request.Builder` `clearExecutePlan()` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.Request.Builder` `clearExecuteQuery()` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.Request.Builder` `clearExecuteUpdate()` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.Request.Builder` `clearExplainPlan()` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.Request.Builder` `clearFetchData()` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.Request.Builder` `clearFetchMetadata()` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.Request.Builder` `clearFetchSystemMetadata()` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.Request.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ClientWireProtocol.Request.Builder` `clearForceExternal()` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.Request.Builder` `clearGetSchema()` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.Request.Builder` `clearKillQuery()` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.Request.Builder` `clearListPlan()` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.Builder` `clearLoadBroadcast()` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.Request.Builder` `clearLocalQueries()` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.Request.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ClientWireProtocol.Request.Builder` `clearRequestOneof()`
`ClientWireProtocol.Request.Builder` `clearSetPso()` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.Request.Builder` `clearSetSchema()` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.Request.Builder` `clearSystemWideQueries()` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.Request.Builder` `clearTestConnection()` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.Builder` `clearType()` `.xg.cmdcomp.Request.RequestType type = 1;`
`ClientWireProtocol.Request.Builder` `clone()`
`ClientWireProtocol.CancelQuery` `getCancelQuery()` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CancelQuery.Builder` `getCancelQueryBuilder()` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CancelQueryOrBuilder` `getCancelQueryOrBuilder()` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.ClientConnection` `getClientConnection()` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnection2` `getClientConnection2()` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection2.Builder` `getClientConnection2Builder()` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection2OrBuilder` `getClientConnection2OrBuilder()` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection.Builder` `getClientConnectionBuilder()` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnectionOrBuilder` `getClientConnectionOrBuilder()` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.CloseConnection` `getCloseConnection()` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseConnection.Builder` `getCloseConnectionBuilder()` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseConnectionOrBuilder` `getCloseConnectionOrBuilder()` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseResultSet` `getCloseResultSet()` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.CloseResultSet.Builder` `getCloseResultSetBuilder()` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.CloseResultSetOrBuilder` `getCloseResultSetOrBuilder()` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ClientWireProtocol.ExecuteExplain` `getExecuteExplain()` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExplain.Builder` `getExecuteExplainBuilder()` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExplainForSpark` `getExecuteExplainForSpark()` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.ExecuteExplainForSpark.Builder` `getExecuteExplainForSparkBuilder()` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.ExecuteExplainForSparkOrBuilder` `getExecuteExplainForSparkOrBuilder()` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.ExecuteExplainOrBuilder` `getExecuteExplainOrBuilder()` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExport` `getExecuteExport()` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteExport.Builder` `getExecuteExportBuilder()` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteExportOrBuilder` `getExecuteExportOrBuilder()` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteInlinePlan` `getExecuteInlinePlan()` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecuteInlinePlan.Builder` `getExecuteInlinePlanBuilder()` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecuteInlinePlanOrBuilder` `getExecuteInlinePlanOrBuilder()` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecutePlan` `getExecutePlan()` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecutePlan.Builder` `getExecutePlanBuilder()` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecutePlanOrBuilder` `getExecutePlanOrBuilder()` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecuteQuery` `getExecuteQuery()` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteQuery.Builder` `getExecuteQueryBuilder()` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteQueryOrBuilder` `getExecuteQueryOrBuilder()` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteUpdate` `getExecuteUpdate()` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExecuteUpdate.Builder` `getExecuteUpdateBuilder()` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExecuteUpdateOrBuilder` `getExecuteUpdateOrBuilder()` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExplainPlan` `getExplainPlan()` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.ExplainPlan.Builder` `getExplainPlanBuilder()` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.ExplainPlanOrBuilder` `getExplainPlanOrBuilder()` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.FetchData` `getFetchData()` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchData.Builder` `getFetchDataBuilder()` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchDataOrBuilder` `getFetchDataOrBuilder()` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchMetadata` `getFetchMetadata()` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchMetadata.Builder` `getFetchMetadataBuilder()` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchMetadataOrBuilder` `getFetchMetadataOrBuilder()` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchSystemMetadata` `getFetchSystemMetadata()` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchSystemMetadata.Builder` `getFetchSystemMetadataBuilder()` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchSystemMetadataOrBuilder` `getFetchSystemMetadataOrBuilder()` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.ForceExternal` `getForceExternal()` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.ForceExternal.Builder` `getForceExternalBuilder()` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.ForceExternalOrBuilder` `getForceExternalOrBuilder()` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.GetSchema` `getGetSchema()` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.GetSchema.Builder` `getGetSchemaBuilder()` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.GetSchemaOrBuilder` `getGetSchemaOrBuilder()` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.KillQuery` `getKillQuery()` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.KillQuery.Builder` `getKillQueryBuilder()` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.KillQueryOrBuilder` `getKillQueryOrBuilder()` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.ListPlan` `getListPlan()` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.ListPlan.Builder` `getListPlanBuilder()` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.ListPlanOrBuilder` `getListPlanOrBuilder()` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.LoadBroadcast` `getLoadBroadcast()` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.LoadBroadcast.Builder` `getLoadBroadcastBuilder()` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.LoadBroadcastOrBuilder` `getLoadBroadcastOrBuilder()` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.LocalQueries` `getLocalQueries()` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.LocalQueries.Builder` `getLocalQueriesBuilder()` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.LocalQueriesOrBuilder` `getLocalQueriesOrBuilder()` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.Request.RequestOneofCase` `getRequestOneofCase()`
`ClientWireProtocol.SetPSO` `getSetPso()` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.SetPSO.Builder` `getSetPsoBuilder()` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.SetPSOOrBuilder` `getSetPsoOrBuilder()` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.SetSchema` `getSetSchema()` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SetSchema.Builder` `getSetSchemaBuilder()` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SetSchemaOrBuilder` `getSetSchemaOrBuilder()` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SystemWideQueries` `getSystemWideQueries()` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.SystemWideQueries.Builder` `getSystemWideQueriesBuilder()` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.SystemWideQueriesOrBuilder` `getSystemWideQueriesOrBuilder()` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.TestConnection` `getTestConnection()` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.TestConnection.Builder` `getTestConnectionBuilder()` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.TestConnectionOrBuilder` `getTestConnectionOrBuilder()` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.RequestType` `getType()` `.xg.cmdcomp.Request.RequestType type = 1;`
`int` `getTypeValue()` `.xg.cmdcomp.Request.RequestType type = 1;`
`boolean` `hasCancelQuery()` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`boolean` `hasClientConnection()` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`boolean` `hasClientConnection2()` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`boolean` `hasCloseConnection()` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`boolean` `hasCloseResultSet()` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`boolean` `hasExecuteExplain()` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`boolean` `hasExecuteExplainForSpark()` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`boolean` `hasExecuteExport()` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`boolean` `hasExecuteInlinePlan()` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`boolean` `hasExecutePlan()` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`boolean` `hasExecuteQuery()` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`boolean` `hasExecuteUpdate()` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`boolean` `hasExplainPlan()` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`boolean` `hasFetchData()` `.xg.cmdcomp.FetchData fetch_data = 8;`
`boolean` `hasFetchMetadata()` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`boolean` `hasFetchSystemMetadata()` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`boolean` `hasForceExternal()` `.xg.cmdcomp.ForceExternal force_external = 25;`
`boolean` `hasGetSchema()` `.xg.cmdcomp.GetSchema get_schema = 4;`
`boolean` `hasKillQuery()` `.xg.cmdcomp.KillQuery kill_query = 23;`
`boolean` `hasListPlan()` `.xg.cmdcomp.ListPlan list_plan = 22;`
`boolean` `hasLoadBroadcast()` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`boolean` `hasLocalQueries()` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`boolean` `hasSetPso()` `.xg.cmdcomp.SetPSO set_pso = 27;`
`boolean` `hasSetSchema()` `.xg.cmdcomp.SetSchema set_schema = 6;`
`boolean` `hasSystemWideQueries()` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`boolean` `hasTestConnection()` `.xg.cmdcomp.TestConnection test_connection = 7;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ClientWireProtocol.Request.Builder` `mergeCancelQuery​(ClientWireProtocol.CancelQuery value)` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.Request.Builder` `mergeClientConnection​(ClientWireProtocol.ClientConnection value)` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.Request.Builder` `mergeClientConnection2​(ClientWireProtocol.ClientConnection2 value)` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.Request.Builder` `mergeCloseConnection​(ClientWireProtocol.CloseConnection value)` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.Request.Builder` `mergeCloseResultSet​(ClientWireProtocol.CloseResultSet value)` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request.Builder` `mergeExecuteExplain​(ClientWireProtocol.ExecuteExplain value)` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.Request.Builder` `mergeExecuteExplainForSpark​(ClientWireProtocol.ExecuteExplainForSpark value)` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.Request.Builder` `mergeExecuteExport​(ClientWireProtocol.ExecuteExport value)` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.Request.Builder` `mergeExecuteInlinePlan​(ClientWireProtocol.ExecuteInlinePlan value)` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.Request.Builder` `mergeExecutePlan​(ClientWireProtocol.ExecutePlan value)` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.Request.Builder` `mergeExecuteQuery​(ClientWireProtocol.ExecuteQuery value)` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.Request.Builder` `mergeExecuteUpdate​(ClientWireProtocol.ExecuteUpdate value)` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.Request.Builder` `mergeExplainPlan​(ClientWireProtocol.ExplainPlan value)` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.Request.Builder` `mergeFetchData​(ClientWireProtocol.FetchData value)` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.Request.Builder` `mergeFetchMetadata​(ClientWireProtocol.FetchMetadata value)` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.Request.Builder` `mergeFetchSystemMetadata​(ClientWireProtocol.FetchSystemMetadata value)` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.Request.Builder` `mergeForceExternal​(ClientWireProtocol.ForceExternal value)` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.Request.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.Request.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`ClientWireProtocol.Request.Builder` `mergeFrom​(ClientWireProtocol.Request other)`
`ClientWireProtocol.Request.Builder` `mergeGetSchema​(ClientWireProtocol.GetSchema value)` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.Request.Builder` `mergeKillQuery​(ClientWireProtocol.KillQuery value)` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.Request.Builder` `mergeListPlan​(ClientWireProtocol.ListPlan value)` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.Builder` `mergeLoadBroadcast​(ClientWireProtocol.LoadBroadcast value)` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.Request.Builder` `mergeLocalQueries​(ClientWireProtocol.LocalQueries value)` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.Request.Builder` `mergeSetPso​(ClientWireProtocol.SetPSO value)` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.Request.Builder` `mergeSetSchema​(ClientWireProtocol.SetSchema value)` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.Request.Builder` `mergeSystemWideQueries​(ClientWireProtocol.SystemWideQueries value)` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.Request.Builder` `mergeTestConnection​(ClientWireProtocol.TestConnection value)` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.Request.Builder` `setCancelQuery​(ClientWireProtocol.CancelQuery value)` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.Request.Builder` `setCancelQuery​(ClientWireProtocol.CancelQuery.Builder builderForValue)` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.Request.Builder` `setClientConnection​(ClientWireProtocol.ClientConnection value)` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.Request.Builder` `setClientConnection​(ClientWireProtocol.ClientConnection.Builder builderForValue)` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.Request.Builder` `setClientConnection2​(ClientWireProtocol.ClientConnection2 value)` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.Request.Builder` `setClientConnection2​(ClientWireProtocol.ClientConnection2.Builder builderForValue)` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.Request.Builder` `setCloseConnection​(ClientWireProtocol.CloseConnection value)` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.Request.Builder` `setCloseConnection​(ClientWireProtocol.CloseConnection.Builder builderForValue)` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.Request.Builder` `setCloseResultSet​(ClientWireProtocol.CloseResultSet value)` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request.Builder` `setCloseResultSet​(ClientWireProtocol.CloseResultSet.Builder builderForValue)` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.Request.Builder` `setExecuteExplain​(ClientWireProtocol.ExecuteExplain value)` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.Request.Builder` `setExecuteExplain​(ClientWireProtocol.ExecuteExplain.Builder builderForValue)` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.Request.Builder` `setExecuteExplainForSpark​(ClientWireProtocol.ExecuteExplainForSpark value)` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.Request.Builder` `setExecuteExplainForSpark​(ClientWireProtocol.ExecuteExplainForSpark.Builder builderForValue)` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.Request.Builder` `setExecuteExport​(ClientWireProtocol.ExecuteExport value)` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.Request.Builder` `setExecuteExport​(ClientWireProtocol.ExecuteExport.Builder builderForValue)` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.Request.Builder` `setExecuteInlinePlan​(ClientWireProtocol.ExecuteInlinePlan value)` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.Request.Builder` `setExecuteInlinePlan​(ClientWireProtocol.ExecuteInlinePlan.Builder builderForValue)` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.Request.Builder` `setExecutePlan​(ClientWireProtocol.ExecutePlan value)` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.Request.Builder` `setExecutePlan​(ClientWireProtocol.ExecutePlan.Builder builderForValue)` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.Request.Builder` `setExecuteQuery​(ClientWireProtocol.ExecuteQuery value)` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.Request.Builder` `setExecuteQuery​(ClientWireProtocol.ExecuteQuery.Builder builderForValue)` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.Request.Builder` `setExecuteUpdate​(ClientWireProtocol.ExecuteUpdate value)` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.Request.Builder` `setExecuteUpdate​(ClientWireProtocol.ExecuteUpdate.Builder builderForValue)` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.Request.Builder` `setExplainPlan​(ClientWireProtocol.ExplainPlan value)` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.Request.Builder` `setExplainPlan​(ClientWireProtocol.ExplainPlan.Builder builderForValue)` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.Request.Builder` `setFetchData​(ClientWireProtocol.FetchData value)` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.Request.Builder` `setFetchData​(ClientWireProtocol.FetchData.Builder builderForValue)` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.Request.Builder` `setFetchMetadata​(ClientWireProtocol.FetchMetadata value)` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.Request.Builder` `setFetchMetadata​(ClientWireProtocol.FetchMetadata.Builder builderForValue)` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.Request.Builder` `setFetchSystemMetadata​(ClientWireProtocol.FetchSystemMetadata value)` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.Request.Builder` `setFetchSystemMetadata​(ClientWireProtocol.FetchSystemMetadata.Builder builderForValue)` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.Request.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.Request.Builder` `setForceExternal​(ClientWireProtocol.ForceExternal value)` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.Request.Builder` `setForceExternal​(ClientWireProtocol.ForceExternal.Builder builderForValue)` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.Request.Builder` `setGetSchema​(ClientWireProtocol.GetSchema value)` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.Request.Builder` `setGetSchema​(ClientWireProtocol.GetSchema.Builder builderForValue)` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.Request.Builder` `setKillQuery​(ClientWireProtocol.KillQuery value)` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.Request.Builder` `setKillQuery​(ClientWireProtocol.KillQuery.Builder builderForValue)` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.Request.Builder` `setListPlan​(ClientWireProtocol.ListPlan value)` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.Builder` `setListPlan​(ClientWireProtocol.ListPlan.Builder builderForValue)` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.Request.Builder` `setLoadBroadcast​(ClientWireProtocol.LoadBroadcast value)` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.Request.Builder` `setLoadBroadcast​(ClientWireProtocol.LoadBroadcast.Builder builderForValue)` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.Request.Builder` `setLocalQueries​(ClientWireProtocol.LocalQueries value)` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.Request.Builder` `setLocalQueries​(ClientWireProtocol.LocalQueries.Builder builderForValue)` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.Request.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ClientWireProtocol.Request.Builder` `setSetPso​(ClientWireProtocol.SetPSO value)` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.Request.Builder` `setSetPso​(ClientWireProtocol.SetPSO.Builder builderForValue)` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.Request.Builder` `setSetSchema​(ClientWireProtocol.SetSchema value)` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.Request.Builder` `setSetSchema​(ClientWireProtocol.SetSchema.Builder builderForValue)` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.Request.Builder` `setSystemWideQueries​(ClientWireProtocol.SystemWideQueries value)` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.Request.Builder` `setSystemWideQueries​(ClientWireProtocol.SystemWideQueries.Builder builderForValue)` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.Request.Builder` `setTestConnection​(ClientWireProtocol.TestConnection value)` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.Builder` `setTestConnection​(ClientWireProtocol.TestConnection.Builder builderForValue)` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.Builder` `setType​(ClientWireProtocol.Request.RequestType value)` `.xg.cmdcomp.Request.RequestType type = 1;`
`ClientWireProtocol.Request.Builder` `setTypeValue​(int value)` `.xg.cmdcomp.Request.RequestType type = 1;`
`ClientWireProtocol.Request.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### clear

    public ClientWireProtocol.Request.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### getDefaultInstanceForType

    public ClientWireProtocol.Request getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ClientWireProtocol.Request build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ClientWireProtocol.Request buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ClientWireProtocol.Request.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### setField

    public ClientWireProtocol.Request.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### clearField

    public ClientWireProtocol.Request.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### clearOneof

    public ClientWireProtocol.Request.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### setRepeatedField

    public ClientWireProtocol.Request.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               int index,
                                                               Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### addRepeatedField

    public ClientWireProtocol.Request.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### mergeFrom

    public ClientWireProtocol.Request.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.Request.Builder>`

#### mergeFrom

    public ClientWireProtocol.Request.Builder mergeFrom​(ClientWireProtocol.Request other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### mergeFrom

    public ClientWireProtocol.Request.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.Request.Builder>`
Throws:
  `IOException`

#### getRequestOneofCase

    public ClientWireProtocol.Request.RequestOneofCase getRequestOneofCase()

Specified by:
  `getRequestOneofCase` in interface `ClientWireProtocol.RequestOrBuilder`

#### clearRequestOneof

    public ClientWireProtocol.Request.Builder clearRequestOneof()

#### getTypeValue

    public int getTypeValue()

`.xg.cmdcomp.Request.RequestType type = 1;`

Specified by:
  `getTypeValue` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The enum numeric value on the wire for type.

#### setTypeValue

    public ClientWireProtocol.Request.Builder setTypeValue​(int value)

`.xg.cmdcomp.Request.RequestType type = 1;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

#### getType

    public ClientWireProtocol.Request.RequestType getType()

`.xg.cmdcomp.Request.RequestType type = 1;`

Specified by:
  `getType` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The type.

#### setType

    public ClientWireProtocol.Request.Builder setType​(ClientWireProtocol.Request.RequestType value)

`.xg.cmdcomp.Request.RequestType type = 1;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

#### clearType

    public ClientWireProtocol.Request.Builder clearType()

`.xg.cmdcomp.Request.RequestType type = 1;`

Returns:
  This builder for chaining.

#### hasClientConnection

    public boolean hasClientConnection()

`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `hasClientConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnection field is set.

#### getClientConnection

    public ClientWireProtocol.ClientConnection getClientConnection()

`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `getClientConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnection.

#### setClientConnection

    public ClientWireProtocol.Request.Builder setClientConnection​(ClientWireProtocol.ClientConnection value)

`.xg.cmdcomp.ClientConnection client_connection = 2;`

#### setClientConnection

    public ClientWireProtocol.Request.Builder setClientConnection​(ClientWireProtocol.ClientConnection.Builder builderForValue)

`.xg.cmdcomp.ClientConnection client_connection = 2;`

#### mergeClientConnection

    public ClientWireProtocol.Request.Builder mergeClientConnection​(ClientWireProtocol.ClientConnection value)

`.xg.cmdcomp.ClientConnection client_connection = 2;`

#### clearClientConnection

    public ClientWireProtocol.Request.Builder clearClientConnection()

`.xg.cmdcomp.ClientConnection client_connection = 2;`

#### getClientConnectionBuilder

    public ClientWireProtocol.ClientConnection.Builder getClientConnectionBuilder()

`.xg.cmdcomp.ClientConnection client_connection = 2;`

#### getClientConnectionOrBuilder

    public ClientWireProtocol.ClientConnectionOrBuilder getClientConnectionOrBuilder()

`.xg.cmdcomp.ClientConnection client_connection = 2;`

Specified by:
  `getClientConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasClientConnection2

    public boolean hasClientConnection2()

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `hasClientConnection2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the clientConnection2 field is set.

#### getClientConnection2

    public ClientWireProtocol.ClientConnection2 getClientConnection2()

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `getClientConnection2` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The clientConnection2.

#### setClientConnection2

    public ClientWireProtocol.Request.Builder setClientConnection2​(ClientWireProtocol.ClientConnection2 value)

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

#### setClientConnection2

    public ClientWireProtocol.Request.Builder setClientConnection2​(ClientWireProtocol.ClientConnection2.Builder builderForValue)

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

#### mergeClientConnection2

    public ClientWireProtocol.Request.Builder mergeClientConnection2​(ClientWireProtocol.ClientConnection2 value)

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

#### clearClientConnection2

    public ClientWireProtocol.Request.Builder clearClientConnection2()

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

#### getClientConnection2Builder

    public ClientWireProtocol.ClientConnection2.Builder getClientConnection2Builder()

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

#### getClientConnection2OrBuilder

    public ClientWireProtocol.ClientConnection2OrBuilder getClientConnection2OrBuilder()

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Specified by:
  `getClientConnection2OrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasGetSchema

    public boolean hasGetSchema()

`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `hasGetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the getSchema field is set.

#### getGetSchema

    public ClientWireProtocol.GetSchema getGetSchema()

`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `getGetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The getSchema.

#### setGetSchema

    public ClientWireProtocol.Request.Builder setGetSchema​(ClientWireProtocol.GetSchema value)

`.xg.cmdcomp.GetSchema get_schema = 4;`

#### setGetSchema

    public ClientWireProtocol.Request.Builder setGetSchema​(ClientWireProtocol.GetSchema.Builder builderForValue)

`.xg.cmdcomp.GetSchema get_schema = 4;`

#### mergeGetSchema

    public ClientWireProtocol.Request.Builder mergeGetSchema​(ClientWireProtocol.GetSchema value)

`.xg.cmdcomp.GetSchema get_schema = 4;`

#### clearGetSchema

    public ClientWireProtocol.Request.Builder clearGetSchema()

`.xg.cmdcomp.GetSchema get_schema = 4;`

#### getGetSchemaBuilder

    public ClientWireProtocol.GetSchema.Builder getGetSchemaBuilder()

`.xg.cmdcomp.GetSchema get_schema = 4;`

#### getGetSchemaOrBuilder

    public ClientWireProtocol.GetSchemaOrBuilder getGetSchemaOrBuilder()

`.xg.cmdcomp.GetSchema get_schema = 4;`

Specified by:
  `getGetSchemaOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasCloseConnection

    public boolean hasCloseConnection()

`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `hasCloseConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the closeConnection field is set.

#### getCloseConnection

    public ClientWireProtocol.CloseConnection getCloseConnection()

`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `getCloseConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The closeConnection.

#### setCloseConnection

    public ClientWireProtocol.Request.Builder setCloseConnection​(ClientWireProtocol.CloseConnection value)

`.xg.cmdcomp.CloseConnection close_connection = 5;`

#### setCloseConnection

    public ClientWireProtocol.Request.Builder setCloseConnection​(ClientWireProtocol.CloseConnection.Builder builderForValue)

`.xg.cmdcomp.CloseConnection close_connection = 5;`

#### mergeCloseConnection

    public ClientWireProtocol.Request.Builder mergeCloseConnection​(ClientWireProtocol.CloseConnection value)

`.xg.cmdcomp.CloseConnection close_connection = 5;`

#### clearCloseConnection

    public ClientWireProtocol.Request.Builder clearCloseConnection()

`.xg.cmdcomp.CloseConnection close_connection = 5;`

#### getCloseConnectionBuilder

    public ClientWireProtocol.CloseConnection.Builder getCloseConnectionBuilder()

`.xg.cmdcomp.CloseConnection close_connection = 5;`

#### getCloseConnectionOrBuilder

    public ClientWireProtocol.CloseConnectionOrBuilder getCloseConnectionOrBuilder()

`.xg.cmdcomp.CloseConnection close_connection = 5;`

Specified by:
  `getCloseConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasSetSchema

    public boolean hasSetSchema()

`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `hasSetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the setSchema field is set.

#### getSetSchema

    public ClientWireProtocol.SetSchema getSetSchema()

`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `getSetSchema` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The setSchema.

#### setSetSchema

    public ClientWireProtocol.Request.Builder setSetSchema​(ClientWireProtocol.SetSchema value)

`.xg.cmdcomp.SetSchema set_schema = 6;`

#### setSetSchema

    public ClientWireProtocol.Request.Builder setSetSchema​(ClientWireProtocol.SetSchema.Builder builderForValue)

`.xg.cmdcomp.SetSchema set_schema = 6;`

#### mergeSetSchema

    public ClientWireProtocol.Request.Builder mergeSetSchema​(ClientWireProtocol.SetSchema value)

`.xg.cmdcomp.SetSchema set_schema = 6;`

#### clearSetSchema

    public ClientWireProtocol.Request.Builder clearSetSchema()

`.xg.cmdcomp.SetSchema set_schema = 6;`

#### getSetSchemaBuilder

    public ClientWireProtocol.SetSchema.Builder getSetSchemaBuilder()

`.xg.cmdcomp.SetSchema set_schema = 6;`

#### getSetSchemaOrBuilder

    public ClientWireProtocol.SetSchemaOrBuilder getSetSchemaOrBuilder()

`.xg.cmdcomp.SetSchema set_schema = 6;`

Specified by:
  `getSetSchemaOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasTestConnection

    public boolean hasTestConnection()

`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `hasTestConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the testConnection field is set.

#### getTestConnection

    public ClientWireProtocol.TestConnection getTestConnection()

`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `getTestConnection` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The testConnection.

#### setTestConnection

    public ClientWireProtocol.Request.Builder setTestConnection​(ClientWireProtocol.TestConnection value)

`.xg.cmdcomp.TestConnection test_connection = 7;`

#### setTestConnection

    public ClientWireProtocol.Request.Builder setTestConnection​(ClientWireProtocol.TestConnection.Builder builderForValue)

`.xg.cmdcomp.TestConnection test_connection = 7;`

#### mergeTestConnection

    public ClientWireProtocol.Request.Builder mergeTestConnection​(ClientWireProtocol.TestConnection value)

`.xg.cmdcomp.TestConnection test_connection = 7;`

#### clearTestConnection

    public ClientWireProtocol.Request.Builder clearTestConnection()

`.xg.cmdcomp.TestConnection test_connection = 7;`

#### getTestConnectionBuilder

    public ClientWireProtocol.TestConnection.Builder getTestConnectionBuilder()

`.xg.cmdcomp.TestConnection test_connection = 7;`

#### getTestConnectionOrBuilder

    public ClientWireProtocol.TestConnectionOrBuilder getTestConnectionOrBuilder()

`.xg.cmdcomp.TestConnection test_connection = 7;`

Specified by:
  `getTestConnectionOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasFetchData

    public boolean hasFetchData()

`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `hasFetchData` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchData field is set.

#### getFetchData

    public ClientWireProtocol.FetchData getFetchData()

`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `getFetchData` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchData.

#### setFetchData

    public ClientWireProtocol.Request.Builder setFetchData​(ClientWireProtocol.FetchData value)

`.xg.cmdcomp.FetchData fetch_data = 8;`

#### setFetchData

    public ClientWireProtocol.Request.Builder setFetchData​(ClientWireProtocol.FetchData.Builder builderForValue)

`.xg.cmdcomp.FetchData fetch_data = 8;`

#### mergeFetchData

    public ClientWireProtocol.Request.Builder mergeFetchData​(ClientWireProtocol.FetchData value)

`.xg.cmdcomp.FetchData fetch_data = 8;`

#### clearFetchData

    public ClientWireProtocol.Request.Builder clearFetchData()

`.xg.cmdcomp.FetchData fetch_data = 8;`

#### getFetchDataBuilder

    public ClientWireProtocol.FetchData.Builder getFetchDataBuilder()

`.xg.cmdcomp.FetchData fetch_data = 8;`

#### getFetchDataOrBuilder

    public ClientWireProtocol.FetchDataOrBuilder getFetchDataOrBuilder()

`.xg.cmdcomp.FetchData fetch_data = 8;`

Specified by:
  `getFetchDataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasFetchMetadata

    public boolean hasFetchMetadata()

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `hasFetchMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchMetadata field is set.

#### getFetchMetadata

    public ClientWireProtocol.FetchMetadata getFetchMetadata()

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `getFetchMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchMetadata.

#### setFetchMetadata

    public ClientWireProtocol.Request.Builder setFetchMetadata​(ClientWireProtocol.FetchMetadata value)

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

#### setFetchMetadata

    public ClientWireProtocol.Request.Builder setFetchMetadata​(ClientWireProtocol.FetchMetadata.Builder builderForValue)

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

#### mergeFetchMetadata

    public ClientWireProtocol.Request.Builder mergeFetchMetadata​(ClientWireProtocol.FetchMetadata value)

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

#### clearFetchMetadata

    public ClientWireProtocol.Request.Builder clearFetchMetadata()

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

#### getFetchMetadataBuilder

    public ClientWireProtocol.FetchMetadata.Builder getFetchMetadataBuilder()

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

#### getFetchMetadataOrBuilder

    public ClientWireProtocol.FetchMetadataOrBuilder getFetchMetadataOrBuilder()

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Specified by:
  `getFetchMetadataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasCloseResultSet

    public boolean hasCloseResultSet()

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `hasCloseResultSet` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the closeResultSet field is set.

#### getCloseResultSet

    public ClientWireProtocol.CloseResultSet getCloseResultSet()

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `getCloseResultSet` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The closeResultSet.

#### setCloseResultSet

    public ClientWireProtocol.Request.Builder setCloseResultSet​(ClientWireProtocol.CloseResultSet value)

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

#### setCloseResultSet

    public ClientWireProtocol.Request.Builder setCloseResultSet​(ClientWireProtocol.CloseResultSet.Builder builderForValue)

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

#### mergeCloseResultSet

    public ClientWireProtocol.Request.Builder mergeCloseResultSet​(ClientWireProtocol.CloseResultSet value)

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

#### clearCloseResultSet

    public ClientWireProtocol.Request.Builder clearCloseResultSet()

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

#### getCloseResultSetBuilder

    public ClientWireProtocol.CloseResultSet.Builder getCloseResultSetBuilder()

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

#### getCloseResultSetOrBuilder

    public ClientWireProtocol.CloseResultSetOrBuilder getCloseResultSetOrBuilder()

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Specified by:
  `getCloseResultSetOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasExecuteQuery

    public boolean hasExecuteQuery()

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `hasExecuteQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeQuery field is set.

#### getExecuteQuery

    public ClientWireProtocol.ExecuteQuery getExecuteQuery()

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `getExecuteQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeQuery.

#### setExecuteQuery

    public ClientWireProtocol.Request.Builder setExecuteQuery​(ClientWireProtocol.ExecuteQuery value)

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

#### setExecuteQuery

    public ClientWireProtocol.Request.Builder setExecuteQuery​(ClientWireProtocol.ExecuteQuery.Builder builderForValue)

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

#### mergeExecuteQuery

    public ClientWireProtocol.Request.Builder mergeExecuteQuery​(ClientWireProtocol.ExecuteQuery value)

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

#### clearExecuteQuery

    public ClientWireProtocol.Request.Builder clearExecuteQuery()

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

#### getExecuteQueryBuilder

    public ClientWireProtocol.ExecuteQuery.Builder getExecuteQueryBuilder()

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

#### getExecuteQueryOrBuilder

    public ClientWireProtocol.ExecuteQueryOrBuilder getExecuteQueryOrBuilder()

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Specified by:
  `getExecuteQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasExecuteExplain

    public boolean hasExecuteExplain()

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `hasExecuteExplain` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExplain field is set.

#### getExecuteExplain

    public ClientWireProtocol.ExecuteExplain getExecuteExplain()

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `getExecuteExplain` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExplain.

#### setExecuteExplain

    public ClientWireProtocol.Request.Builder setExecuteExplain​(ClientWireProtocol.ExecuteExplain value)

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

#### setExecuteExplain

    public ClientWireProtocol.Request.Builder setExecuteExplain​(ClientWireProtocol.ExecuteExplain.Builder builderForValue)

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

#### mergeExecuteExplain

    public ClientWireProtocol.Request.Builder mergeExecuteExplain​(ClientWireProtocol.ExecuteExplain value)

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

#### clearExecuteExplain

    public ClientWireProtocol.Request.Builder clearExecuteExplain()

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

#### getExecuteExplainBuilder

    public ClientWireProtocol.ExecuteExplain.Builder getExecuteExplainBuilder()

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

#### getExecuteExplainOrBuilder

    public ClientWireProtocol.ExecuteExplainOrBuilder getExecuteExplainOrBuilder()

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Specified by:
  `getExecuteExplainOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasExecuteExplainForSpark

    public boolean hasExecuteExplainForSpark()

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `hasExecuteExplainForSpark` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExplainForSpark field is set.

#### getExecuteExplainForSpark

    public ClientWireProtocol.ExecuteExplainForSpark getExecuteExplainForSpark()

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `getExecuteExplainForSpark` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExplainForSpark.

#### setExecuteExplainForSpark

    public ClientWireProtocol.Request.Builder setExecuteExplainForSpark​(ClientWireProtocol.ExecuteExplainForSpark value)

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

#### setExecuteExplainForSpark

    public ClientWireProtocol.Request.Builder setExecuteExplainForSpark​(ClientWireProtocol.ExecuteExplainForSpark.Builder builderForValue)

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

#### mergeExecuteExplainForSpark

    public ClientWireProtocol.Request.Builder mergeExecuteExplainForSpark​(ClientWireProtocol.ExecuteExplainForSpark value)

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

#### clearExecuteExplainForSpark

    public ClientWireProtocol.Request.Builder clearExecuteExplainForSpark()

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

#### getExecuteExplainForSparkBuilder

    public ClientWireProtocol.ExecuteExplainForSpark.Builder getExecuteExplainForSparkBuilder()

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

#### getExecuteExplainForSparkOrBuilder

    public ClientWireProtocol.ExecuteExplainForSparkOrBuilder getExecuteExplainForSparkOrBuilder()

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Specified by:
  `getExecuteExplainForSparkOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasExecuteUpdate

    public boolean hasExecuteUpdate()

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `hasExecuteUpdate` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeUpdate field is set.

#### getExecuteUpdate

    public ClientWireProtocol.ExecuteUpdate getExecuteUpdate()

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `getExecuteUpdate` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeUpdate.

#### setExecuteUpdate

    public ClientWireProtocol.Request.Builder setExecuteUpdate​(ClientWireProtocol.ExecuteUpdate value)

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

#### setExecuteUpdate

    public ClientWireProtocol.Request.Builder setExecuteUpdate​(ClientWireProtocol.ExecuteUpdate.Builder builderForValue)

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

#### mergeExecuteUpdate

    public ClientWireProtocol.Request.Builder mergeExecuteUpdate​(ClientWireProtocol.ExecuteUpdate value)

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

#### clearExecuteUpdate

    public ClientWireProtocol.Request.Builder clearExecuteUpdate()

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

#### getExecuteUpdateBuilder

    public ClientWireProtocol.ExecuteUpdate.Builder getExecuteUpdateBuilder()

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

#### getExecuteUpdateOrBuilder

    public ClientWireProtocol.ExecuteUpdateOrBuilder getExecuteUpdateOrBuilder()

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Specified by:
  `getExecuteUpdateOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasLoadBroadcast

    public boolean hasLoadBroadcast()

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

Specified by:
  `hasLoadBroadcast` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the loadBroadcast field is set.

#### getLoadBroadcast

    public ClientWireProtocol.LoadBroadcast getLoadBroadcast()

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

Specified by:
  `getLoadBroadcast` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The loadBroadcast.

#### setLoadBroadcast

    public ClientWireProtocol.Request.Builder setLoadBroadcast​(ClientWireProtocol.LoadBroadcast value)

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

#### setLoadBroadcast

    public ClientWireProtocol.Request.Builder setLoadBroadcast​(ClientWireProtocol.LoadBroadcast.Builder builderForValue)

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

#### mergeLoadBroadcast

    public ClientWireProtocol.Request.Builder mergeLoadBroadcast​(ClientWireProtocol.LoadBroadcast value)

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

#### clearLoadBroadcast

    public ClientWireProtocol.Request.Builder clearLoadBroadcast()

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

#### getLoadBroadcastBuilder

    public ClientWireProtocol.LoadBroadcast.Builder getLoadBroadcastBuilder()

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

#### getLoadBroadcastOrBuilder

    public ClientWireProtocol.LoadBroadcastOrBuilder getLoadBroadcastOrBuilder()

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

Specified by:
  `getLoadBroadcastOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasFetchSystemMetadata

    public boolean hasFetchSystemMetadata()

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `hasFetchSystemMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the fetchSystemMetadata field is set.

#### getFetchSystemMetadata

    public ClientWireProtocol.FetchSystemMetadata getFetchSystemMetadata()

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `getFetchSystemMetadata` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The fetchSystemMetadata.

#### setFetchSystemMetadata

    public ClientWireProtocol.Request.Builder setFetchSystemMetadata​(ClientWireProtocol.FetchSystemMetadata value)

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

#### setFetchSystemMetadata

    public ClientWireProtocol.Request.Builder setFetchSystemMetadata​(ClientWireProtocol.FetchSystemMetadata.Builder builderForValue)

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

#### mergeFetchSystemMetadata

    public ClientWireProtocol.Request.Builder mergeFetchSystemMetadata​(ClientWireProtocol.FetchSystemMetadata value)

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

#### clearFetchSystemMetadata

    public ClientWireProtocol.Request.Builder clearFetchSystemMetadata()

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

#### getFetchSystemMetadataBuilder

    public ClientWireProtocol.FetchSystemMetadata.Builder getFetchSystemMetadataBuilder()

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

#### getFetchSystemMetadataOrBuilder

    public ClientWireProtocol.FetchSystemMetadataOrBuilder getFetchSystemMetadataOrBuilder()

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Specified by:
  `getFetchSystemMetadataOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasCancelQuery

    public boolean hasCancelQuery()

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `hasCancelQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the cancelQuery field is set.

#### getCancelQuery

    public ClientWireProtocol.CancelQuery getCancelQuery()

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `getCancelQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The cancelQuery.

#### setCancelQuery

    public ClientWireProtocol.Request.Builder setCancelQuery​(ClientWireProtocol.CancelQuery value)

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

#### setCancelQuery

    public ClientWireProtocol.Request.Builder setCancelQuery​(ClientWireProtocol.CancelQuery.Builder builderForValue)

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

#### mergeCancelQuery

    public ClientWireProtocol.Request.Builder mergeCancelQuery​(ClientWireProtocol.CancelQuery value)

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

#### clearCancelQuery

    public ClientWireProtocol.Request.Builder clearCancelQuery()

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

#### getCancelQueryBuilder

    public ClientWireProtocol.CancelQuery.Builder getCancelQueryBuilder()

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

#### getCancelQueryOrBuilder

    public ClientWireProtocol.CancelQueryOrBuilder getCancelQueryOrBuilder()

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Specified by:
  `getCancelQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasSystemWideQueries

    public boolean hasSystemWideQueries()

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Specified by:
  `hasSystemWideQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the systemWideQueries field is set.

#### getSystemWideQueries

    public ClientWireProtocol.SystemWideQueries getSystemWideQueries()

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Specified by:
  `getSystemWideQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The systemWideQueries.

#### setSystemWideQueries

    public ClientWireProtocol.Request.Builder setSystemWideQueries​(ClientWireProtocol.SystemWideQueries value)

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

#### setSystemWideQueries

    public ClientWireProtocol.Request.Builder setSystemWideQueries​(ClientWireProtocol.SystemWideQueries.Builder builderForValue)

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

#### mergeSystemWideQueries

    public ClientWireProtocol.Request.Builder mergeSystemWideQueries​(ClientWireProtocol.SystemWideQueries value)

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

#### clearSystemWideQueries

    public ClientWireProtocol.Request.Builder clearSystemWideQueries()

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

#### getSystemWideQueriesBuilder

    public ClientWireProtocol.SystemWideQueries.Builder getSystemWideQueriesBuilder()

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

#### getSystemWideQueriesOrBuilder

    public ClientWireProtocol.SystemWideQueriesOrBuilder getSystemWideQueriesOrBuilder()

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Specified by:
  `getSystemWideQueriesOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasLocalQueries

    public boolean hasLocalQueries()

`.xg.cmdcomp.LocalQueries local_queries = 19;`

Specified by:
  `hasLocalQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the localQueries field is set.

#### getLocalQueries

    public ClientWireProtocol.LocalQueries getLocalQueries()

`.xg.cmdcomp.LocalQueries local_queries = 19;`

Specified by:
  `getLocalQueries` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The localQueries.

#### setLocalQueries

    public ClientWireProtocol.Request.Builder setLocalQueries​(ClientWireProtocol.LocalQueries value)

`.xg.cmdcomp.LocalQueries local_queries = 19;`

#### setLocalQueries

    public ClientWireProtocol.Request.Builder setLocalQueries​(ClientWireProtocol.LocalQueries.Builder builderForValue)

`.xg.cmdcomp.LocalQueries local_queries = 19;`

#### mergeLocalQueries

    public ClientWireProtocol.Request.Builder mergeLocalQueries​(ClientWireProtocol.LocalQueries value)

`.xg.cmdcomp.LocalQueries local_queries = 19;`

#### clearLocalQueries

    public ClientWireProtocol.Request.Builder clearLocalQueries()

`.xg.cmdcomp.LocalQueries local_queries = 19;`

#### getLocalQueriesBuilder

    public ClientWireProtocol.LocalQueries.Builder getLocalQueriesBuilder()

`.xg.cmdcomp.LocalQueries local_queries = 19;`

#### getLocalQueriesOrBuilder

    public ClientWireProtocol.LocalQueriesOrBuilder getLocalQueriesOrBuilder()

`.xg.cmdcomp.LocalQueries local_queries = 19;`

Specified by:
  `getLocalQueriesOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasExecutePlan

    public boolean hasExecutePlan()

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `hasExecutePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executePlan field is set.

#### getExecutePlan

    public ClientWireProtocol.ExecutePlan getExecutePlan()

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `getExecutePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executePlan.

#### setExecutePlan

    public ClientWireProtocol.Request.Builder setExecutePlan​(ClientWireProtocol.ExecutePlan value)

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

#### setExecutePlan

    public ClientWireProtocol.Request.Builder setExecutePlan​(ClientWireProtocol.ExecutePlan.Builder builderForValue)

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

#### mergeExecutePlan

    public ClientWireProtocol.Request.Builder mergeExecutePlan​(ClientWireProtocol.ExecutePlan value)

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

#### clearExecutePlan

    public ClientWireProtocol.Request.Builder clearExecutePlan()

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

#### getExecutePlanBuilder

    public ClientWireProtocol.ExecutePlan.Builder getExecutePlanBuilder()

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

#### getExecutePlanOrBuilder

    public ClientWireProtocol.ExecutePlanOrBuilder getExecutePlanOrBuilder()

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Specified by:
  `getExecutePlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasExplainPlan

    public boolean hasExplainPlan()

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `hasExplainPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the explainPlan field is set.

#### getExplainPlan

    public ClientWireProtocol.ExplainPlan getExplainPlan()

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `getExplainPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The explainPlan.

#### setExplainPlan

    public ClientWireProtocol.Request.Builder setExplainPlan​(ClientWireProtocol.ExplainPlan value)

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

#### setExplainPlan

    public ClientWireProtocol.Request.Builder setExplainPlan​(ClientWireProtocol.ExplainPlan.Builder builderForValue)

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

#### mergeExplainPlan

    public ClientWireProtocol.Request.Builder mergeExplainPlan​(ClientWireProtocol.ExplainPlan value)

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

#### clearExplainPlan

    public ClientWireProtocol.Request.Builder clearExplainPlan()

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

#### getExplainPlanBuilder

    public ClientWireProtocol.ExplainPlan.Builder getExplainPlanBuilder()

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

#### getExplainPlanOrBuilder

    public ClientWireProtocol.ExplainPlanOrBuilder getExplainPlanOrBuilder()

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Specified by:
  `getExplainPlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasListPlan

    public boolean hasListPlan()

`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `hasListPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the listPlan field is set.

#### getListPlan

    public ClientWireProtocol.ListPlan getListPlan()

`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `getListPlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The listPlan.

#### setListPlan

    public ClientWireProtocol.Request.Builder setListPlan​(ClientWireProtocol.ListPlan value)

`.xg.cmdcomp.ListPlan list_plan = 22;`

#### setListPlan

    public ClientWireProtocol.Request.Builder setListPlan​(ClientWireProtocol.ListPlan.Builder builderForValue)

`.xg.cmdcomp.ListPlan list_plan = 22;`

#### mergeListPlan

    public ClientWireProtocol.Request.Builder mergeListPlan​(ClientWireProtocol.ListPlan value)

`.xg.cmdcomp.ListPlan list_plan = 22;`

#### clearListPlan

    public ClientWireProtocol.Request.Builder clearListPlan()

`.xg.cmdcomp.ListPlan list_plan = 22;`

#### getListPlanBuilder

    public ClientWireProtocol.ListPlan.Builder getListPlanBuilder()

`.xg.cmdcomp.ListPlan list_plan = 22;`

#### getListPlanOrBuilder

    public ClientWireProtocol.ListPlanOrBuilder getListPlanOrBuilder()

`.xg.cmdcomp.ListPlan list_plan = 22;`

Specified by:
  `getListPlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasKillQuery

    public boolean hasKillQuery()

`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `hasKillQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the killQuery field is set.

#### getKillQuery

    public ClientWireProtocol.KillQuery getKillQuery()

`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `getKillQuery` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The killQuery.

#### setKillQuery

    public ClientWireProtocol.Request.Builder setKillQuery​(ClientWireProtocol.KillQuery value)

`.xg.cmdcomp.KillQuery kill_query = 23;`

#### setKillQuery

    public ClientWireProtocol.Request.Builder setKillQuery​(ClientWireProtocol.KillQuery.Builder builderForValue)

`.xg.cmdcomp.KillQuery kill_query = 23;`

#### mergeKillQuery

    public ClientWireProtocol.Request.Builder mergeKillQuery​(ClientWireProtocol.KillQuery value)

`.xg.cmdcomp.KillQuery kill_query = 23;`

#### clearKillQuery

    public ClientWireProtocol.Request.Builder clearKillQuery()

`.xg.cmdcomp.KillQuery kill_query = 23;`

#### getKillQueryBuilder

    public ClientWireProtocol.KillQuery.Builder getKillQueryBuilder()

`.xg.cmdcomp.KillQuery kill_query = 23;`

#### getKillQueryOrBuilder

    public ClientWireProtocol.KillQueryOrBuilder getKillQueryOrBuilder()

`.xg.cmdcomp.KillQuery kill_query = 23;`

Specified by:
  `getKillQueryOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasExecuteInlinePlan

    public boolean hasExecuteInlinePlan()

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `hasExecuteInlinePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeInlinePlan field is set.

#### getExecuteInlinePlan

    public ClientWireProtocol.ExecuteInlinePlan getExecuteInlinePlan()

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `getExecuteInlinePlan` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeInlinePlan.

#### setExecuteInlinePlan

    public ClientWireProtocol.Request.Builder setExecuteInlinePlan​(ClientWireProtocol.ExecuteInlinePlan value)

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

#### setExecuteInlinePlan

    public ClientWireProtocol.Request.Builder setExecuteInlinePlan​(ClientWireProtocol.ExecuteInlinePlan.Builder builderForValue)

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

#### mergeExecuteInlinePlan

    public ClientWireProtocol.Request.Builder mergeExecuteInlinePlan​(ClientWireProtocol.ExecuteInlinePlan value)

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

#### clearExecuteInlinePlan

    public ClientWireProtocol.Request.Builder clearExecuteInlinePlan()

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

#### getExecuteInlinePlanBuilder

    public ClientWireProtocol.ExecuteInlinePlan.Builder getExecuteInlinePlanBuilder()

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

#### getExecuteInlinePlanOrBuilder

    public ClientWireProtocol.ExecuteInlinePlanOrBuilder getExecuteInlinePlanOrBuilder()

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Specified by:
  `getExecuteInlinePlanOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasForceExternal

    public boolean hasForceExternal()

`.xg.cmdcomp.ForceExternal force_external = 25;`

Specified by:
  `hasForceExternal` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the forceExternal field is set.

#### getForceExternal

    public ClientWireProtocol.ForceExternal getForceExternal()

`.xg.cmdcomp.ForceExternal force_external = 25;`

Specified by:
  `getForceExternal` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The forceExternal.

#### setForceExternal

    public ClientWireProtocol.Request.Builder setForceExternal​(ClientWireProtocol.ForceExternal value)

`.xg.cmdcomp.ForceExternal force_external = 25;`

#### setForceExternal

    public ClientWireProtocol.Request.Builder setForceExternal​(ClientWireProtocol.ForceExternal.Builder builderForValue)

`.xg.cmdcomp.ForceExternal force_external = 25;`

#### mergeForceExternal

    public ClientWireProtocol.Request.Builder mergeForceExternal​(ClientWireProtocol.ForceExternal value)

`.xg.cmdcomp.ForceExternal force_external = 25;`

#### clearForceExternal

    public ClientWireProtocol.Request.Builder clearForceExternal()

`.xg.cmdcomp.ForceExternal force_external = 25;`

#### getForceExternalBuilder

    public ClientWireProtocol.ForceExternal.Builder getForceExternalBuilder()

`.xg.cmdcomp.ForceExternal force_external = 25;`

#### getForceExternalOrBuilder

    public ClientWireProtocol.ForceExternalOrBuilder getForceExternalOrBuilder()

`.xg.cmdcomp.ForceExternal force_external = 25;`

Specified by:
  `getForceExternalOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasExecuteExport

    public boolean hasExecuteExport()

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `hasExecuteExport` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the executeExport field is set.

#### getExecuteExport

    public ClientWireProtocol.ExecuteExport getExecuteExport()

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `getExecuteExport` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The executeExport.

#### setExecuteExport

    public ClientWireProtocol.Request.Builder setExecuteExport​(ClientWireProtocol.ExecuteExport value)

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

#### setExecuteExport

    public ClientWireProtocol.Request.Builder setExecuteExport​(ClientWireProtocol.ExecuteExport.Builder builderForValue)

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

#### mergeExecuteExport

    public ClientWireProtocol.Request.Builder mergeExecuteExport​(ClientWireProtocol.ExecuteExport value)

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

#### clearExecuteExport

    public ClientWireProtocol.Request.Builder clearExecuteExport()

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

#### getExecuteExportBuilder

    public ClientWireProtocol.ExecuteExport.Builder getExecuteExportBuilder()

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

#### getExecuteExportOrBuilder

    public ClientWireProtocol.ExecuteExportOrBuilder getExecuteExportOrBuilder()

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Specified by:
  `getExecuteExportOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### hasSetPso

    public boolean hasSetPso()

`.xg.cmdcomp.SetPSO set_pso = 27;`

Specified by:
  `hasSetPso` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  Whether the setPso field is set.

#### getSetPso

    public ClientWireProtocol.SetPSO getSetPso()

`.xg.cmdcomp.SetPSO set_pso = 27;`

Specified by:
  `getSetPso` in interface `ClientWireProtocol.RequestOrBuilder`
Returns:
  The setPso.

#### setSetPso

    public ClientWireProtocol.Request.Builder setSetPso​(ClientWireProtocol.SetPSO value)

`.xg.cmdcomp.SetPSO set_pso = 27;`

#### setSetPso

    public ClientWireProtocol.Request.Builder setSetPso​(ClientWireProtocol.SetPSO.Builder builderForValue)

`.xg.cmdcomp.SetPSO set_pso = 27;`

#### mergeSetPso

    public ClientWireProtocol.Request.Builder mergeSetPso​(ClientWireProtocol.SetPSO value)

`.xg.cmdcomp.SetPSO set_pso = 27;`

#### clearSetPso

    public ClientWireProtocol.Request.Builder clearSetPso()

`.xg.cmdcomp.SetPSO set_pso = 27;`

#### getSetPsoBuilder

    public ClientWireProtocol.SetPSO.Builder getSetPsoBuilder()

`.xg.cmdcomp.SetPSO set_pso = 27;`

#### getSetPsoOrBuilder

    public ClientWireProtocol.SetPSOOrBuilder getSetPsoOrBuilder()

`.xg.cmdcomp.SetPSO set_pso = 27;`

Specified by:
  `getSetPsoOrBuilder` in interface `ClientWireProtocol.RequestOrBuilder`

#### setUnknownFields

    public final ClientWireProtocol.Request.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`

#### mergeUnknownFields

    public final ClientWireProtocol.Request.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.Request.Builder>`